package org.xbib.multiserv.api;

import java.io.IOException;
import java.util.List;
import java.util.Map;

public interface Plugin {

    void onStart() throws IOException;

    List<CommandFunction> getFunctions(CommandServer commandServer);

    void onExecute(CommandServer commandServer,
                   Command<?> command,
                   Map<String, Object> params,
                   List<String> response) throws PluginException;

    void onShutdown();
}
