package org.xbib.multiserv.api;

public abstract class Command<S extends CommandServer> implements CommandExecution {

    protected S server;

    public Command() {
    }

    public Command<S> setServer(S server) {
        this.server = server;
        return this;
    }

    public S server() {
        return server;
    }
}
